// -*- mode: C++ -*-

//
// Pibero Djawotho <pibero@indiana.edu>
// Indiana University
// 17 August 2007
//

#ifndef SMD_HIT_H
#define SMD_HIT_H

// ROOT
#include "TObject.h"

class SmdHit : public TObject {
public:
  SmdHit();
  ~SmdHit() {}

  int detectorId() const;
  int id() const;
  float energy() const;

  void setDetectorId(int id);
  void setId(int id);
  void setEnergy(float energy);

private:
  int mDetectorId;
  int mId;
  float mEnergy;

  ClassDef(SmdHit, 1);
};

inline SmdHit::SmdHit() : mId(0), mEnergy(0) {}

inline int SmdHit::detectorId() const { return mDetectorId; }
inline int SmdHit::id() const { return mId; }
inline float SmdHit::energy() const { return mEnergy; }

inline void SmdHit::setDetectorId(int id) { mDetectorId = id; }
inline void SmdHit::setId(int id) { mId = id; }
inline void SmdHit::setEnergy(float energy) { mEnergy = energy; }

#endif
